#
# spec file for package perl-Crypt-OpenSSL-RSA
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Crypt-OpenSSL-RSA
%define cpan_name Crypt-OpenSSL-RSA
Summary:        RSA encoding and decoding, using the openSSL libraries
Version:        0.28
Release:        12.5
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Crypt-OpenSSL-RSA
Source:         http://search.cpan.org/CPAN/authors/id/P/PE/PERLER/Crypt-OpenSSL-RSA-%{version}.tar.gz
Patch:          %{cpan_name}.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  openssl-devel
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Crypt::OpenSSL::Random)
Requires:       perl(Crypt::OpenSSL::Random)

%description
Crypt::OpenSSL::RSA is an XS perl module designed to provide basic RSA
functionality.  It does this by providing a glue to the RSA functions
in the OpenSSL library.

%prep
%setup -n %{cpan_name}-%{version}
%patch

%build
%{__perl} Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-, root, root)
%doc Changes LICENSE README

%changelog
* Wed Nov 30 2011 coolo@suse.com
- fix license (bnc#733411)
* Tue Nov 29 2011 coolo@suse.com
- update to 0.28
  - RT 56454 - Win32 compatibility patch (kmx@cpan.org)
  - RT 65947 - Fix RSA.pm break with perl 5.14+
* Tue May 17 2011 coolo@opensuse.org
- fix use of autoloader
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Apr  4 2010 chris@computersalat.de
- update to 0.26
  - Change subclassing test to generate a 512 bit key in order to work
    around an odd issue seen on some 64-bit redhat systems.
    (CPAN bug 45498)
- cleanup spec
  o sort TAGS
  o update Url
  o fixed deps
    added Crypt::OpenSSL::Random
  o updated description
  o added missing clean section
  o added missing doc
- added perl-macros
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Tue Nov  4 2008 ro@suse.de
- add openssl-devel to BuildRequires to fi build
* Tue Oct 28 2008 varkoly@suse.de
- Initial version of perl-Crypt-OpenSSL-RSA
